#include <bits/stdc++.h>
#define ll long long
using namespace std;
int main()
{
    ios::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);
    ll n;
    string s;
    bool postoji=true;
    cin>>n>>s;
    for(ll i=0;i<n;i++)
    {
        postoji=true;
        ll k=0;
        for(ll j=0;j<i;j++)
        {
            if(s[j]=='A'+k) k++;
            if(s[i]=='A'+k) break;
        }
        if(s[i]>'A'+k) postoji=false;
        k=25;
        for(ll j=n;j>i&&postoji;j--)
        {
            if(s[j]=='A'+k) k--;
            if(s[i]=='A'+k) break;
        }
        if(s[i]<'A'+k) postoji=false;
        if(!postoji)
        {
            n--;
            s.erase(i,1);
        }
    }
    if(n<26) cout<<0;
    else
    {
        ll dug[26],y[n],zbir=0,zbira=1;
        for(ll j=0;j<26;j++) dug[j]=0;
        for(ll i=0;i<n;i++)
            y[i]=++dug[s[i]-'A'];
        for(ll i=0;i<n;i++)
        {
            if(s[i]=='A')
            {
                for(ll j=i+1,k=1;j<n;j++)
                {
                    if(s[j]==k+'A')
                    {
                        k++;
                        zbira=zbira*(dug[s[j]-'A']-y[j]+1)-zbira*(dug[s[j]-'A']-y[j]+1)/(1000000000+7)*1000000007;
                    }
                }
                zbir=(zbir+zbira)-(zbir+zbira)/(1000000000+7)*1000000007;
                zbira=1;
            }
        }
        cout<<zbir-zbir/(1000000000+7)*1000000007;
    }
}